package com.brilliance.isc.mda.dao;

import org.apache.ibatis.annotations.Param;

import com.brilliance.isc.bo.Imglot;
import com.brilliance.isc.vo.manager.ImglotVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface ImglotMapper {

    int insert(Imglot record);

    int insertSelective(Imglot record);

    int updateByPrimaryKeySelective(Imglot record);

    int updateByPrimaryKey(Imglot record);

    int deleteByPrimaryKey(Imglot record);

    int deleteByMsginr(Imglot record);

    Imglot selectByPrimaryKey(Imglot record);

    List<Imglot> listFuzzyByRecord(ImglotVo record);

    Imglot selectByLotNum(Imglot record);

    List<Imglot> listBindLotNum(ImglotVo record);

    List<Imglot> listAllBindByOwnref(Imglot record);

    Imglot selectByIncomingMsg(Imglot record);

    Imglot selectByTrnInr(ImglotVo record);

    Imglot selectByImginr(@Param("imginr") String imginr);

    List<Imglot> selectListByTrninr(@Param("trninr") String trninr);

    List<Imglot> selectListByLotnum(@Param("lotnum") String lotnum);

    List<String> selectLotnumByOwnref(String ownref);

    List<Imglot> selectByOwnref(String ownref);

    List<Imglot> listBindLotNumByRelatedref(String relatedref);
}